using System;
using System.Collections.Generic;
class ZADATAK
{
    static void Main()
    {
        int T = int.Parse(Console.ReadLine());
        int[] resenja = new int[T];
        for (int i = 0; i < T; i++)
        {
            long upit = long.Parse(Console.ReadLine());
            var skup = new HashSet<long>();
            for (int j = 1; j <= upit; j++)
            {
                int broj = j;
                long proizvod = 1;
                int mod = int.MaxValue;
                while (broj != 0)
                {
                    if (proizvod > mod)
                        proizvod %= mod;
                    proizvod *= broj % 10;
                    broj /= 10;
                }
                skup.Add(proizvod);
            }
            resenja[i] = skup.Count;
        }
        foreach (int resenje in resenja)
            Console.WriteLine(resenje);
    }
}